​
Select Service
ves-io-schema-views-aws_vpc_site-API-Get
Published April 5, 2023 | Last modified June 24, 2026
Examples of getting aws_vpc_site
Usecase:
Get vpc-site1 from current namespace
Request using vesctl:
vesctl configuration get aws_vpc_site vpc-site1 --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: vpc-site1 namespace: systemreferringObjects: []resourceVersion: "4158"spec: awsCred: name: unit-creds-views-aws-test namespace: system tenant: acmecorp awsRegion: eu-west-3 blockAllServices: {} directConnectDisabled: {} disableInternetVip: {} egressGatewayDefault: {} f5OrchestratedRouting: {} f5xcSecurityGroup: {} logsStreamingDisabled: {} nodesPerAz: 0 siteErrors: [] sshKey: ssh-rsa AAAAB.. tags: {} vipParamsPerAz: [] voltstackCluster: awsCertifiedHw: aws-byol-voltstack-combo azNodes: - awsAzName: eu-west-3a localSubnet: subnetParam: ipv4: 192.168.1.0/24 noDcClusterGroup: {} noK8sCluster: {} smConnectionPublicIp: {} storageClassList: storageClasses: [] vpc: newVpc: nameTag: aws-vpc-unit-test primaryIpv4: 192.168.0.0/16status: []systemMetadata: creationTimestamp: "2026-06-19T22:11:32.739349Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 2558b16b-472a-4e42-b3cf-9936d96fb680Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1655461974_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/aws_vpc_sites/vpc-site1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Fri, 19 Jun 2026 22:11:32 GMTVary: Accept-Encoding
{ "create_form": null, "replace_form": null, "resource_version": "4158", "metadata": { "name": "vpc-site1", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "2558b16b-472a-4e42-b3cf-9936d96fb680", "creation_timestamp": "2026-06-19T22:11:32.739349Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "vpc": { "new_vpc": { "name_tag": "aws-vpc-unit-test", "primary_ipv4": "192.168.0.0/16", "allocate_ipv6": false } }, "voltstack_cluster": { "aws_certified_hw": "aws-byol-voltstack-combo", "az_nodes": [ { "aws_az_name": "eu-west-3a", "local_subnet": { "subnet_param": { "ipv4": "192.168.1.0/24", "ipv6": "" } }, "disk_size": 0 } ], "no_dc_cluster_group": {
}, "sm_connection_public_ip": {
}, "storage_class_list": { "storage_classes": [ ] }, "allowed_vip_port": null, "no_k8s_cluster": {
} }, "aws_cred": { "tenant": "acmecorp", "namespace": "system", "name": "unit-creds-views-aws-test" }, "instance_type": "", "disk_size": 0, "volterra_software_version": "", "operating_system_version": "", "aws_region": "eu-west-3", "ssh_key": "ssh-rsa AAAAB..", "admin_password": null, "address": "", "coordinates": null, "logs_streaming_disabled": {
}, "site_state": "ONLINE", "vip_params_per_az": [ ], "user_modification_timestamp": null, "tags": { }, "nodes_per_az": 0, "block_all_services": {
}, "direct_connect_disabled": {
}, "offline_survivability_mode": null, "disable_internet_vip": {
}, "egress_gateway_default": {
}, "suggested_action": "", "error_description": "", "f5xc_security_group": {
}, "f5_orchestrated_routing": {
}, "site_errors": [ ], "validation_state": "VALIDATION_STATE_NONE", "custom_dns": null, "kubernetes_upgrade_drain": null, "cloud_site_info": null, "direct_connect_info": null }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}